=== kate/data/CMakeLists.txt ===
# desktop files and co
install( PROGRAMS kate.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES katerc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES tips kateui.rc DESTINATION  ${DATA_INSTALL_DIR}/kate )
install( FILES kateplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
install( FILES kate-2.4.upd  DESTINATION  ${KCONF_UPDATE_INSTALL_DIR} )

# kate application icons
add_subdirectory (icons)
