=== debian/changelog ===
kate4 (4:4.14.3-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commits 8b2820b4c95284337b5713ce7f548a456c25279e and
    3411777a09481e26a595eddf43333571963fe69b (from ktexteditor) to fix build
    with GCC 7; patch gcc-7.diff. (Closes: #853471)
  * Bump Standards-Version to 4.1.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Dec 2017 15:57:04 +0100

kate4 (4:4.14.3-4) unstable; urgency=medium

  * Team upload.
  * Remove the libkactivities-dev build dependency, since the kactivities
    integration is done only in the kate application (which is not shipped
    by this source).
  * Set the cmake minimum version required and policies; cmake-policy.diff.
  * Since we are interested only in katepart, explicitly disable the build of
    kate, kwrite, and the plasma stuff:
    - pass to cmake: -DBUILD_kate=false -DBUILD_kwrite=false -DBUILD_doc=false
      -DBUILD_plasma=false
    - make sure that addons can be disabled with BUILD_<foo> options as well;
      patch cmake-optional.diff
    - remove kate stuff from kate-data.install
    - drop binary libkateinterfaces4, no more built
    - clean not-installed file
  * Remove unused .install and .lintian-overrides files.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update lintian overrides.
  * Remove unused reference to kate-dbg in rules.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jun 2016 08:02:47 +0200

kate4 (4:4.14.3-3) unstable; urgency=medium

  * Team upload.
  * Drop unused build-dependencies. (Closes: #816809)

 -- Felix Geyer <fgeyer@debian.org>  Sat, 05 Mar 2016 14:13:33 +0100

kate4 (4:4.14.3-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 16:20:45 +0200

kate4 (4:4.14.3-1) experimental; urgency=medium

  * Prepare Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 00:00:48 +0100

kate4 (4:4.14.3-0ubuntu4) vivid; urgency=medium

  * Rename source to kate4
  * Drop kate, kwrite and kate-dbg package, now provided by kate (kf5)
  * Keep katepart for applications to use
  * Don't install manpage in kate-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Dec 2014 15:04:55 +0100

kate (4:4.14.3-0ubuntu3) vivid; urgency=medium

  * Fix autopkgtest run by making sure DEB_HOST_MULTIARCH is defined in the
    testsuite

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 27 Nov 2014 21:12:08 +0100

kate (4:4.14.3-0ubuntu2) vivid; urgency=medium

  * kate-data breaks/replaces katepart << 4:4.14.3-0ubuntu2~ (LP: #1395466)
  * Remove files from kate that conflict with kate-data
  * kate-data breaks/replaces kate << 4:4.14.3-0ubuntu2~

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 25 Nov 2014 19:42:45 +0100

kate (4:4.14.3-0ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes:
    - add appropriate breaks/replaces
    - build pate:
      + build-depend on python
      + point dh_auto_configure to the correct libpython location
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update the maintainer
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Nov 2014 21:07:44 +0100

kate (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:04:06 -0700

kate (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add missing file to katepart.
  * wrap-and-sort

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:32:18 +0200

kate (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:35:44 +0200

kate (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Bump breaks/replaces for Kubuntu versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Aug 2014 17:52:37 +0200

kate (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update kate-data install file
  * Add hacky second build for pate build failure

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:18:22 +0200

kate (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:30:23 +0200

kate (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release
  * Remove version from libkactivities-dev depend as it has not had
    a new release.
  * Commented out install file that is missing in i386, needs research.

  [ Jonathan Riddell ]
  * Add pate files back to kate-data.install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:38:34 +0200

kate (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:44:15 +0100

kate (4:4.13.1-2ubuntu2) utopic; urgency=medium

  * Fix install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 15:50:23 +0200

kate (4:4.13.1-2ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Add appropriate Breaks/Replaces

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 13:22:43 +0200

kate (4:4.13.1-2) unstable; urgency=medium

  * Team upload.
  * Disable pate, since it introduces a build-dependency loop (see also
    https://bugs.debian.org/729215#10).
  * Do not really install (even if renamed) the go.xml syntax file, since
    it is already provided by kate-syntax-go (see #628161).
  * Remove the files we must not install for real, so this should help not
    installing them accidentally again.
  * Disable the build of tests, since they are not (and cannot be) run;
    patch debian-disable-tests.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 31 May 2014 16:26:09 +0200

kate (4:4.13.1-1) unstable; urgency=medium


