=== debian/control ===
Source: kate4
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.2),
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 4.1.2
Homepage: http://kate-editor.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-sc/kate.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/kate.git

Package: katepart
Architecture: any
Depends: kate-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kate (<< 4:4.7.0),
        kdelibs5-data (<< 4:4.6.90),
        kdelibs5-plugins (<< 4:4.6.90)
Replaces: kate (<< 4:4.7.0),
          kdelibs5-data (<< 4:4.6.90),
          kdelibs5-plugins (<< 4:4.6.90)
Description: embeddable text editor component
 KatePart is a fast and featurerich text editor component. It implements the
 KTextEditor interfaces, a common interface collection for text editor
 components in KDE.

Package: kate-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kate (<< 4:4.14.3-0ubuntu2~),
        katepart (<< 4:4.14.3-0ubuntu2~),
        kdelibs5-data (<< 4:4.6.90)
Replaces: kate (<< 4:4.14.3-0ubuntu2~),
          katepart (<< 4:4.14.3-0ubuntu2~),
          kdelibs5-data (<< 4:4.6.90)
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor
 .
 This package is part of the KDE 4 Base applications module.

Package: libkatepartinterfaces4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for the embeddable text editor component
 This library contains the code used by the kate part. It is not
 meant to be used directly, applications should use libktexteditor4
 instead.
 .
 This package is a part of KDE 4 Base applications module.
