=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DBUILD_kate=false -DBUILD_kwrite=false -DBUILD_doc=false -DBUILD_plasma=false

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	$(overridden_command)
	# provided by kate-syntax-go -- #628161
	rm -f debian/tmp/usr/share/kde4/apps/katepart/syntax/go.xml
	# provided by nescc -- #716942
	rm -f debian/tmp/usr/share/kde4/apps/katepart/syntax/nesc.xml
	# these would belong to kate-dev
	rm -rf debian/tmp/usr/include
	find debian/tmp/usr/lib -maxdepth 1 -name '*.so' -type l -delete
